### Method

# Ide TreeNode get_root

#### Declaration

    IdeTreeNode*
    ide_tree_node_get_root (
      IdeTreeNode* self
    )

#### Description

Gets the root `IdeTreeNode` by following the `IdeTreeNode:parent` properties of each node.

Available since: | 3.32

#### Return value

Returns: | `IdeTreeNode`
| A `IdeTreeNode` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.